WatchedEvent (ZooKeeper 3.4.10 API)
Date: 2017-03-23

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.zookeeper
Class WatchedEvent

    java.lang.Object
      org.apache.zookeeper.WatchedEvent

    public class WatchedEvent

extends Object

A WatchedEvent represents a change on the ZooKeeper that a Watcher is able to respond to. The WatchedEvent includes exactly what happened, the current state of the ZooKeeper, and the path of the znode that was involved in the event.

Constructor Summary
`WatchedEvent(Watcher.Event.EventType eventType, Watcher.Event.KeeperState keeperState, String path)` Create a WatchedEvent with specified type, state and path
`WatchedEvent(org.apache.zookeeper.proto.WatcherEvent eventMessage)` Convert a WatcherEvent sent over the wire into a full-fledged WatcherEvent

Method Summary
`String` | `getPath()`
`Watcher.Event.KeeperState` | `getState()`
`Watcher.Event.EventType` | `getType()`
`org.apache.zookeeper.proto.WatcherEvent` | `getWrapper()` Convert WatchedEvent to type that can be sent over network
`String` | `toString()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### WatchedEvent

    public WatchedEvent(Watcher.Event.EventType eventType,
                        Watcher.Event.KeeperState keeperState,
                        String path)

  Create a WatchedEvent with specified type, state and path

### WatchedEvent

    public WatchedEvent(org.apache.zookeeper.proto.WatcherEvent eventMessage)

  Convert a WatcherEvent sent over the wire into a full-fledged WatcherEvent

Method Detail

### getState

    public Watcher.Event.KeeperState getState()

### getType

    public Watcher.Event.EventType getType()

### getPath

    public String getPath()

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

### getWrapper

    public org.apache.zookeeper.proto.WatcherEvent getWrapper()

  Convert WatchedEvent to type that can be sent over network

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2017 The Apache Software Foundation